package com.s4p;

import javax.annotation.Resource;
import javax.annotation.security.DeclareRoles;
import javax.annotation.security.RolesAllowed;
import javax.ejb.SessionContext;
import javax.ejb.Stateless;

import org.apache.log4j.Logger;
import org.jboss.ejb3.annotation.SecurityDomain;

@Stateless
@DeclareRoles({ "SYSTEM" })
@RolesAllowed({ "SYSTEM" })
@SecurityDomain("system-domain")
public class ServiceBean {

	private static final Logger logger = Logger.getLogger(ServiceStarter.class);

	@Resource
	private SessionContext sessionContext;

	public void performAction() {
		if (sessionContext.isCallerInRole("SYSTEM")) {
			logger.info("\n\n"
					+ "\t*********************\n"
					+ "\tServiceBean started\n"
					+ "\trole=SYSTEM\n"
					+ "\t*********************\n\n"
					);
		} else {
			throw new IllegalStateException("not authenticated");
		}
	}

}
